Google
  Web www.spinics.net

trouble building F16 ami on meta-appliance

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


Following https://fedoraproject.org/wiki/Cloud_SIG/EC2_Creation:

Launched an instance of boxgrinder-meta/fedora/15/1.6/i686 (ami-08a45f61)

Setup .boxgrinder/config:
plugins:
   ebs:
     access_key: <>                  # required
     secret_access_key: <>  # required
     account_number: <>                # required
     delete_on_termination: false                      # default: true


Got fedora-16-i386-ec2.ks from git://git.fedorahosted.org / 
cloud-kickstarts.git

Ran:  boxgrinder-build fedora-16-i386-ec2.ks -p ec2 -d ebs

F, [2011-12-11T15:51:34.830035 #2571] FATAL -- : RuntimeError: No 
operating system name specified, please add comment to you kickstrt file 
like this: # bg_os_name: fedora

edited kickstart file.

Then: F, [2011-12-11T15:53:21.016618 #2589] FATAL -- : RuntimeError: No 
operating system version specified, please add comment to you kickstrt 
file like this: # bg_os_version: 14

Added # bg_os_version: 16

But now I've got an error I can't fix:

boxgrinder-build fedora-16-i386-ec2.ks -p ec2 -d ebs
I, [2011-12-11T18:17:42.738403 #21837]  INFO -- : Building 
'fedora-16-i386-ec2' appliance for i686 architecture.
I, [2011-12-11T18:19:07.594938 #21837]  INFO -- : Building 
fedora-16-i386-ec2 appliance...
E, [2011-12-11T18:35:58.264145 #21837] ERROR -- : 
/usr/lib/ruby/gems/1.8/gems/boxgrinder-core-0.3.9/lib/boxgrinder-core/helpers/exec-helper.rb:85:in 
`execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:165:in 
`execute_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:129:in 
`build_with_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/fedora/fedora-plugin.rb:45:in 
`execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/base-plugin.rb:192:in 
`run'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:139:in 
`execute_plugin'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`each'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:120:in 
`create'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/bin/boxgrinder-build:189
/usr/bin/boxgrinder-build:19:in `load'
/usr/bin/boxgrinder-build:19
F, [2011-12-11T18:35:58.266415 #21837] FATAL -- : RuntimeError: An error 
occurred while executing command: 'appliance-creator -d -v -t 
'build/appliances/i686/fedora/16/fedora-16-i386-ec2/1.0/fedora-plugin/tmp' 
--cache=/var/cache/boxgrinder/rpms-cache/i686/fedora/16 --config 
'fedora-16-i386-ec2.ks' -o 
'build/appliances/i686/fedora/16/fedora-16-i386-ec2/1.0/fedora-plugin/tmp' 
--name 'fedora-16-i386-ec2' --vmem 256 --vcpu 1 --format raw', process 
exited with wrong exit status: 1
/usr/lib/ruby/gems/1.8/gems/boxgrinder-core-0.3.9/lib/boxgrinder-core/helpers/exec-helper.rb:92:in 
`execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:165:in 
`execute_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:129:in 
`build_with_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/os/fedora/fedora-plugin.rb:45:in 
`execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/plugins/base-plugin.rb:192:in 
`run'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:139:in 
`execute_plugin'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`each'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:105:in 
`execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/lib/boxgrinder-build/appliance.rb:120:in 
`create'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.8/bin/boxgrinder-build:189
/usr/bin/boxgrinder-build:19:in `load'
/usr/bin/boxgrinder-build:19


Thanks for any help.

sean

_______________________________________________
cloud mailing list
cloud@xxxxxxxxxxxxxxxxxxxxxxx
https://admin.fedoraproject.org/mailman/listinfo/cloud



[Older Fedora Users Mail]     [Fedora Advisory Board]     [Fedora Security]     [Fedora Maintainers]     [Fedora Devel Java]     [Fedora Legacy]     [Fedora Desktop]     [ATA RAID]     [Fedora Marketing]     [Fedora Mentors]     [Fedora Package Announce]     [Fedora Package Review]     [Fedora Music]     [Fedora Packaging]     [Centos]     [Fedora SELinux]     [Fedora Triage]     [Deep Creek Hot Springs]     [Coolkey]     [Yum Users]     [Tux]     [Big List of Linux Books]     [Yosemite News]     [Yosemite Photos]     [Linux Apps]     [KDE Users]     [Fedora Tools]     [Fedora Art]     [Fedora Docs]     [Asterisk PBX]

Powered by Linux

Google
  Web www.spinics.net